Subject: Re: ixgbe question

From: John Fastabend <[email-masked]>
Date: Mon, 30 Nov 2009 12:20:15 -0800

Eric Dumazet wrote:
> David Miller a écrit :
>   
>> From: John Fastabend <[email-masked]>
>> Date: Tue, 24 Nov 2009 13:14:12 +0000
>>
>>     
>>> Believe the below patch will break DCB and FCoE though, both features
>>> have the potential to set real_num_tx_queues to greater then the
>>> number of CPUs.  This could result in real_num_tx_queues >
>>> num_tx_queues.
>>>
>>> The current solution isn't that great though, maybe we should set to
>>> the minimum of MAX_TX_QUEUES and num_possible_cpus() * 2 + 8.
>>>
>>> That should cover the maximum possible queues for DCB, FCoE and their
>>> combinations.
>>>
>>> general multiq = num_possible_cpus()
>>> DCB = 8 tx queue's
>>> FCoE = 2*num_possible_cpus()
>>> FCoE + DCB = 8 tx queues + num_possible_cpus
>>>       
>> Eric, I'm tossing your patch because of this problem, just FYI.
>>     
>
> Sure, I guess we need a more generic way to handle this.
>
>   
Eric,

I'll resubmit your patch with a small update to fix my concerns soon.

thanks,
john.